KDED4(8)

NAME
kded4 - KDE-Dienst: Löst Aktualisierungen der Sycoca-Datenbank aus, wenn erforderlich

ÜBERSICHT

kded4 [--help] [Allgemeine Optionen] [Qt-Optionen] [KDE-Optionen] [--check]

BESCHREIBUNG

kded4 ist verantwortlich für die Anlage und Pflege der sycoca-Datei, also dem binären Zwischenspeicher für Diensttypen, MIME-Typen und Dienste für jeden einzelnen Benutzer.

Es überwacht die Ordner mit .desktop-Dateien. Wenn eine neue Datei hinzugefügt oder eine vorhandene entfernt wird, wartet es 5 Sekunden (falls noch mehr Änderungen vorgenommen werden), und startet anschließend kbuildsycoca4 um die Systemdatenbank mit den Einstellungen zu aktualisieren.

Es überprüft neu installierte Aktualisierungsdateien, d. h. *upd-Dateien, die verwendet werden, um bei Änderung des Formats von Einrichtungsdateien die Einrichtungsdateien der Benutzer zu aktualisieren. Das Programm kconf_update führt diese Aktualisierungen durch.

Wenn der Rechnername geändert wird, ändert es die notwendigen Einstellungen für die KDE-Arbeitsumgebung und den X-Server, sodass das System auch weiterhin richtig funktioniert. Für diese Änderungen wird das Programm kdontchangethehostname gestartet.

Diese Aufgaben werden auch bei jedem Start von kded4 durchgeführt, damit ist sichergestellt, dass die Benutzereinstellungen immer aktuell sind.

Es ist dafür verantwortlich, auf Anforderung kded4-Module zu starten und die Ausführung von aktivierten Modulen zu ermöglichen wie zum Beispiel:

Konqueror-Webbrowser-Schnellstarter
    Lädt Konqueror im Voraus und verringert so die Ladezeit.

Ordnerüberwachung
    Ordner auf Änderungen überwachen.

Hardwareerkennung
    Stellt eine Benutzeroberfläche für Hardwareereignisse zur Verfügung.

SSL-Zertifikat-Regel
    Stellt den Anwendungen benutzerdefinierte SSL-Zertifikat-Regel zur Verfügung.

Netzwerk-Proxy-Einrichtung
    Sucht nach einem Proxy-Server und richtet ihn ein.

Passwort-Zwischenspeicherung
    Zwischenspeicherung von Passwörtern, sodass zum Beispiel eine Webseite mit HTTP-Authentisierung nicht für jede einzelne Verknüpfung oder jedes Bild auf der Seite immer wieder das Passwort abgefragt wird. Diese Passwörter bleiben nur innerhalb einer KDE-Sitzung gültig, im Gegensatz zu Passwörtern, die in KWallet gespeichert werden.

Audioregelungen
    Stellt den Anwendungen Audiosystemregeln zur Verfügung.

Webseiten-Symbole
    Webseitensymbole speichern.

Bildschirmverwaltung
    Bildschirme und Grafikkarten verwalten.

Cookie-Behälter
    Netzwerk-Cookies speichern.

Netzwerküberwachung
    Überwacht das Netzwerk und aktualisiert Ordnerauflistungen des Protokolls network:/.

Subversion-Unterstützung
    Stellt Dateiverwaltungsprogrammen und anderen Anwendungen verschiedene Aktionen für die Subversion-Quelltextverwaltung zur Verfügung.

Netzwerkstatus
    Überprüft den Status von Netzwerkschnittstellen und benachrichtigt Programme, die das Netzwerk verwenden.

„Write“-Dienst
    Überwacht Meldungen lokaler Benutzer, die mit write(1) oder wall(1) gesendet werden.

Überwachung des Benachrichtigungsbereichs
    Überwacht Anwendungen, die über das D-Bus-System den Benachrichtigungsbereich verwenden möchten.

KMixD
    KMixD-Lautstärkeregelungsdienst

Dienst für den Systemabschnitt der Kontrollleiste
    Überwacht Anwendungen, die über das D-Bus-System den Systemabschnitt der Kontrollleiste verwenden möchten.

Tastatur-Dienst
    Überwacht Tastatur-Änderungen (neue Tastatur, geändertes Tastaturlayout)

Überwachung für Dateien auf Fremdrechnern
    Benachrichtigt den Anwender über Änderungen an Dateien in Netzwerkordnern.

Aktivitätenverwaltung
    Das Hintergrundprogramm für den Nepomuk-Aktivitäten-Dienst

Bildschirmverwaltung (Anzeige ändern)
    Benachrichtigt, wenn der Bildschirm gedreht wurde, sofern diese Information verfügbar ist

Speicherplatzbenachrichtigung
    Gibt eine Warnung aus, wenn der freie Speicherplatz in Ihrem Persönlichen Ordner knapp wird.

Automatisches Einhängen von Wechselmedien
    Bindet Geräte bei Bedarf automatisch ein.

Nepomuk-Suchmodul
    Hilfsmodul für KIO zur automatischen Aktualisierung von Nepomuk Suchergebnis-Listen.

Energieverwaltung
    Akku-, Anzeige- und Prozessorleistungsverwaltung und -benachrichtigung.

Fernsteuerungsdienst für KDE
    Verwaltet die empfangenen Fernbedienungsbefehle

Statusbenachrichtigungs-Verwaltung
    Verwaltet Dienste, die eine Schnittstelle für Status-Informationen bereitstellen.

DNS-SD-Dienst-Überwachung
    Überwacht das Netzwerk nach DNS-SD-Diensten.

Laufwerksauswurf
    Automatisches Aushängen des Laufwerks bei Betätigung des Auswurfknopfes.

Zeitzone
    Ermöglicht Anwendungen den Zugriff auf die Systemzeitzonen.

Tastenkombinationen
    „Tastenkombinationen“ führt benutzerdefinierte Aktionen auf Tastendruck aus..

Diese Startmodule können in den Systemeinstellungen unter Systemverwaltung → starten und Beenden → Diensteverwaltung ein- und ausgeschaltet werden.

ALLGEMEINE OPTIONEN

--author
    Zeigt Informationen über den Autor.

--help
    Hilfe zu verfügbaren Optionen anzeigen.

--help-all
    Alle Optionen anzeigen

--help-kde
    Spezielle Optionen für KDE anzeigen.

--help-qt
    Spezielle Optionen für Qt anzeigen.

--license
    Lizenz-Informationen anzeigen.

-v --version
    Versionsinformation anzeigen

ANWENDUNGSOPTIONEN

--check
    Sycoca-Datenbank nur einmal überprüfen.

BENUTZUNG

Falls kded4 ohne Parameter aufgerufen wird und bereits läuft, erscheint die Meldung:

    KDE Daemon (kded) already running.

Wenn Sie kded4 mit dem Befehl kded4 --check aufrufen, wird die KDE-sycoca-Datenbank mit dem Programm kbuildsycoca4 aktualisiert.

SIEHE AUCH

kdeoptions(7), qtoptions(7), kbuildsycoca4(8)

FEHLER

Berichten Sie Fehler auf bugs.kde.org[1].

AUTHORS

David Faure <faure@kde.org>
    Author.

Waldo Bastian <bastian@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org